Package weka.experiment

# Class TaskStatusInfo

java.lang.Object
weka.experiment.TaskStatusInfo

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class TaskStatusInfo extends Object implements Serializable, RevisionHandler
A class holding information for tasks being executed on RemoteEngines. Also holds an object encapsulating any returnable result produced by the task (Note: result object must be serializable). Task objects execute methods return instances of this class. RemoteEngines also use this class for storing progress information for tasks that they execute.

Version:
  $Revision: 8034 $
Author:
  Mark Hall
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FAILED`
  `static final int`
  `FINISHED`
  `static final int`
  `PROCESSING`
  `static final int`
  `TO_BE_RUN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskStatusInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getExecutionStatus()`
  Get the execution status of this Task.
  `String`
  `getRevision()`
  Returns the revision string.
  `String`
  `getStatusMessage()`
  Get the status message.
  `Object`
  `getTaskResult()`
  Get the returnable result of this task.
  `void`
  `setExecutionStatus(int newStatus)`
  Set the execution status of this Task.
  `void`
  `setStatusMessage(String newMessage)`
  Set the status message.
  `void`
  `setTaskResult(Object taskResult)`
  Set the returnable result for this task..

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TO_BE_RUN

    public static final int TO_BE_RUN
    See Also:
      - Constant Field Values

  - ### PROCESSING

    public static final int PROCESSING
    See Also:
      - Constant Field Values

  - ### FAILED

    public static final int FAILED
    See Also:
      - Constant Field Values

  - ### FINISHED

    public static final int FINISHED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TaskStatusInfo

    public TaskStatusInfo()

- ## Method Details

  - ### setExecutionStatus

    public void setExecutionStatus(int newStatus)
    Set the execution status of this Task.
    Parameters:
      `newStatus` - the new execution status code

  - ### getExecutionStatus

    public int getExecutionStatus()
    Get the execution status of this Task.
    Returns:
      the execution status

  - ### setStatusMessage

    public void setStatusMessage(String newMessage)
    Set the status message.
    Parameters:
      `newMessage` - the new status message

  - ### getStatusMessage

    public String getStatusMessage()
    Get the status message.
    Returns:
      the status message

  - ### setTaskResult

    public void setTaskResult(Object taskResult)
    Set the returnable result for this task..
    Parameters:
      `taskResult` - the new returnable result for the task. null if no result is returnable.

  - ### getTaskResult

    public Object getTaskResult()
    Get the returnable result of this task.
    Returns:
      an object encapsulating the result of executing the task. May be null if the task has no returnable result (eg. a remote experiment task that sends its results to a data base).

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision